/**
 * Semestrální práce č. 1 z KIV/VSP
 * (c) 2006 Ivan Habernal
 * habernal@students.zcu.cz
 */
package cz.habi.vsp.sem1;

/**
 * This is simple interface for distributions.
 * 
 * @author habi
 * 
 */
public interface Distribution {

	/**
	 * Returns a random value according to the distribution type. The
	 * implementing classes use a inverse transformation method for computing
	 * the value.
	 * 
	 * @return random value
	 */
	public double getRandomValue();

	/**
	 * Returns a mean of this distribution - E(X)
	 * 
	 * @return mean
	 */
	public double getMean();

	/**
	 * Returns a variance of the distribution - D(X)
	 * 
	 * @return variance
	 */
	public double getVariance();
}
