/**
 * Semestrální práce č. 1 z KIV/VSP
 * (c) 2006 Ivan Habernal
 * habernal@students.zcu.cz
 */
package cz.habi.vsp.sem1;

/**
 * @author habi
 * 
 */
public class ErlangDistribution implements Distribution {

	private double lambda;

	private static final int SHAPE = 2;

	public ErlangDistribution(double lambda) {
		if (lambda <= 0) {
			throw new IllegalArgumentException("Lambda must be greater than 0");
		}
		this.lambda = lambda;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see cz.habi.vsp.sem1.Distribution#getMean()
	 */
	public double getMean() {
		return ((double) SHAPE) / lambda;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see cz.habi.vsp.sem1.Distribution#getRandomValue(double)
	 */
	public double getRandomValue() {
		ExponentialDistribution exDist = new ExponentialDistribution(lambda);

		double firstValue = exDist.getRandomValue();
		double secondValue = exDist.getRandomValue();

		return firstValue + secondValue;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see cz.habi.vsp.sem1.Distribution#getVariance()
	 */
	public double getVariance() {
		return ((double) SHAPE) / (lambda * lambda);
	}

}
