/**
 * Semestrální práce č. 1 z KIV/VSP
 * (c) 2006 Ivan Habernal
 * habernal@students.zcu.cz
 */
package cz.habi.vsp.sem1;

/**
 * @author habi
 * 
 */
public class ExponentialDistribution implements Distribution {

	private double lambda;

	public ExponentialDistribution(double lambda) {
		if (lambda <= 0) {
			throw new IllegalArgumentException("Lambda must be greater than 0");
		}
		this.lambda = lambda;
	}

	public double getRandomValue() {
		double uniformDistributionRandomValue = Math.random();
		
		return -Math.log(uniformDistributionRandomValue) * (1d / lambda);
	}

	public double getMean() {
		return 1d / lambda;
	}
	
	public double getVariance() {
		return 1d / (lambda * lambda);
	}

}
