/**
 * Semestrální práce č. 1 z KIV/VSP
 * (c) 2006 Ivan Habernal
 * habernal@students.zcu.cz
 */
package cz.habi.vsp.sem1;

import java.util.ArrayList;
import java.util.List;


/**
 * @author habi
 *
 */
public abstract class Histogram {
	private List<Double> list = new ArrayList<Double>();
	
	private double min = Double.MAX_VALUE;
	private double max = Double.MIN_VALUE;
	
	int[] values;
	
	public void addValue(double d) {
		double value = d;
		
		list.add(value);
		
		if (value > max) {
			max = value;
		}
		
		if (value < min) {
			min = value;
		}
	}
	
	public void createHistogram() {
		int size = (int) Math.round((max - min) * 10d) + 1;
		values = new int[size];
		
		for (Double d: list) {
			int val = (int) Math.round((d - min) * 10d);
			values[val]++;
		}
		
		displayResults();
	}
	
	
	protected abstract void displayResults();
}
