/**
 * Semestrální práce č. 1 z KIV/VSP
 * (c) 2006 Ivan Habernal
 * habernal@students.zcu.cz
 */
package cz.habi.vsp.sem1;


/**
 * @author habi
 * 
 */
public class Main {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		int numberCount = 0;
		double lambda = 0;

		if (args.length > 2) {
			System.out.println("Too many parameters");
			printUsage();
			return;
		} else if (args.length == 0) {
			run(1000, 0.3d);
			run(1000, 3d);
		}
		else if (args.length != 2) {
			printUsage();
			return;
		} else {
			try {
				numberCount = Integer.parseInt(args[0]);
				lambda = Double.parseDouble(args[1]);
				
				run(numberCount, lambda);
			}
			catch (NumberFormatException ex) {
				printUsage();
				System.out.println(ex);
				return;
			}
		}
		
	}
	
	private static void run(int numberCount, double lambda) {
		Distribution distribution = new ExponentialDistribution(lambda);
		distribution = new ErlangDistribution(lambda);
		NumberGenerator numberGenerator = new NumberGenerator(numberCount, distribution);
		
		numberGenerator.generate();		
	}

	public static void printUsage() {
		System.out.println("Usage:\nrun.bat numberCount lambda");
	}
}
