/**
 * Semestrální práce č. 1 z KIV/VSP
 * (c) 2006 Ivan Habernal
 * habernal@students.zcu.cz
 */
package cz.habi.vsp.sem1;

import org.apache.commons.math.stat.descriptive.SummaryStatistics;
import org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl;

/**
 * @author habi
 * 
 */
public class NumberGenerator {
	private int numberCount = 0;

	private Distribution distribution;

	public NumberGenerator(int numberCount, Distribution distribution) {
		if (numberCount <= 0) {
			throw new IllegalArgumentException("Count of numbers must be greater than 0");
		}
		this.numberCount = numberCount;
		this.distribution = distribution;
	}

	public void generate() {
		SummaryStatistics ss = new SummaryStatisticsImpl();
		Histogram histogram = new ConsoleHistogram();
//		Histogram histogram = new GraphicHistogram();

		for (int i = 0; i < numberCount; i++) {
			double d = distribution.getRandomValue();
//			d = Math.random();
			ss.addValue(d);
//			System.out.println(d);
			
			histogram.addValue(d);
		}
		
		System.out.println("E_teorie=" + distribution.getMean());
		System.out.println("D_teorie=" + distribution.getVariance());

		System.out.println("E_vypocet=" + ss.getMean());;
		System.out.println("D_vypocet=" + ss.getVariance());
		
		histogram.createHistogram();
	}
}
